import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiSepListAvailableSepAndPoolsResultModel(_base.BaseAPIResultModel):
    data: list[_nested.AvailableSEPPoolsAPIResultNM]
    entry_count: int


class CloudapiSepListAvailableSepAndPoolsProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def list_available_sep_and_pools(
        self,
        *,
        account_id: int,
        rg_id: int | None = None,
    ) -> CloudapiSepListAvailableSepAndPoolsResultModel: ...
